import { world, system } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    if (eventData.itemStack.typeId == 'antmanaddon:modok_repulse' && player.isSneaking) {
        system.run(() => {
            modok(player);
        })
    }
});

function modok(player) {
    const gui = new ActionFormData();
    gui.title('Combat mode')
    gui.button('Activate', 'textures/ui/mask_on')
    gui.button('Deactivate', 'textures/ui/mask_off')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            mask_on(player)
        }
        if (result.selection === 1) {
            mask_off(player)
        }
    })
}
function mask_on(player) {
    player.runCommand('event entity @s modok:mask_on');
}
function mask_off(player) {
    player.runCommand('event entity @s modok:mask_off');
}